HttpMessage::setResponseCode
HttpMessage::setType
HttpMessage
PHP Manual

# HttpMessage::setResponseStatus

(PECL pecl_http >= 0.23.0)

HttpMessage::setResponseStatus — Set response status

### Description

public bool HttpMessage::setResponseStatus ( string `$status` )

Set the Response Status of the HTTP message (i.e. the string following the response code).

### Parameters

`status`

  the response status text

### Return Values

Returns `TRUE` on success or `FALSE` if the message is not of type HttpMessage::`TYPE_RESPONSE`.

HttpMessage::setResponseCode
HttpMessage::setType
HttpMessage
PHP Manual